# isCAN

Interface for isCAN from Thorsis Technologies GmbH, former ifak system GmbH.

## Bus

class `can.interfaces.iscan.``IscanBus`(channel, bitrate=500000, poll_interval=0.01, **kwargs)

  Bases: `can.bus.BusABC`

  isCAN interface

  Parameters:

  - channel (int) – Device number
  - bitrate (int) – Bitrate in bits/s
  - poll_interval (float) – Poll interval in seconds when reading messages

  `send`(msg, timeout=None)

    Transmit a message to the CAN bus.

    Override this method to enable the transmit path.

    Parameters:

    - msg (can.Message) – A message object.
    - timeout (float or None) – If > 0, wait up to this many seconds for message to be ACK’ed or for transmit queue to be ready depending on driver implementation. If timeout is exceeded, an exception will be raised. Might not be supported by all interfaces. None blocks indefinitely.

    Raises: | can.CanError – if the message could not be sent

  `shutdown`()

    Called to carry out any interface specific cleanup required in shutting down a bus.

exception `can.interfaces.iscan.``IscanError`(function, error_code, arguments)

  Bases: `can.CanError`